<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";

 //11. BIENES MUEBLES
function plantilla11test($idformato,$pdf)
{
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('11_bienes_muebles', $where, 1);
    $codigo_11 = $query->row();

    //View tipos Declarante  11. Bienes Muebles
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_declarante.nombre as nombre');
    $CI->db->from('11_bienes_muebles');
    $CI->db->join('tipos_declarante', '11_bienes_muebles.titular_bien=tipos_declarante.idtipo');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_declarante11 = $query->row();

    //View tipos Relacion  11.
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_relacion.nombre as nombre');
    $CI->db->from('11_bienes_muebles');
    $CI->db->join('tipos_relacion', '11_bienes_muebles.relacion_transmisor=tipos_relacion.idtipo_relacion');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_relacion11 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();
    //  $pdf->setSourceFile('plantillas/BienesMuebles_11_In.pdf');
    //  $pdf->AddPage();
    //  $tplIdx = $pdf->importPage(1);
    //  $pdf->useTemplate($tplIdx, 0, 0);
    if ($codigo_11->ninguno == '1') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.5, 26.5, 4, 4);
    }

    //SIN CAMBIO
    if ($codigo_11->ninguno == '2' && $codigo->tipo_formato !=1) {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.7, 20.5, 4, 4);
    }
    if ($codigo->tipo_formato == 3) {

        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(26);
        $pdf->SetX(15);
        $pdf->MultiCell(140, 5, utf8_decode('(SITUACIÓN ACTUAL)'), 0, '', true);
    }

    //AGREGO POR LO MENOS 1
    if ($codigo_11->ninguno == '0') {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(25);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # 1'), 0, 0, true);
    } 
    $pdf->SetFont('Arial', '', 8);
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetY(66);
    $pdf->SetX(51);
    //$pdf->Cell(92, 4, utf8_decode($codigo_11->tipo_bien));
    

    $pdf->SetFillColor(0, 0, 0);
    if ($view_declarante11 != null) {
        if ($view_declarante11->nombre == 'DECLARANTE') {

        if ($codigo_11->tipo_bien == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(92, 4, utf8_decode($codigo_11->tipo_bien_esp));
         } else {
             $pdf->Cell(92, 4, utf8_decode($codigo_11->tipo_bien));
         }
    $pdf->Ln(4.5);
    $pdf->SetX(51);    
    $pdf->Cell(120, 4, utf8_decode($view_declarante11->nombre));


    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(36, 4, utf8_decode($codigo_11->tercero));
    if ($codigo_11->tercero == 'PERSONA FÍSICA') {
        $pdf->Cell(103, 4, utf8_decode($codigo_11->nombre_tercero), 0, 0, '', true);
        $pdf->Cell(51, 4, utf8_decode($codigo_11->rfc_tercero), 0, 0, '', true);
    }else{
        $pdf->Cell(101, 4, utf8_decode($codigo_11->nombre_tercero));
        $pdf->Cell(45, 4, utf8_decode($codigo_11->rfc_tercero));
    }

    $pdf->Ln(11);
    $pdf->SetX(13);
    $pdf->Cell(115, 4, utf8_decode($codigo_11->descripcion_bien));
    $pdf->Cell(40, 4, utf8_decode($codigo_11->forma_adquisicion));
    $pdf->Cell(29, 4, utf8_decode($codigo_11->forma_pago));
    $pdf->Ln(9.5);
    $pdf->SetX(13);
    $pdf->Cell(36, 4, utf8_decode($codigo_11->transmisor));
    if ($codigo_11->relacion_transmisor == '20') {
        $pdf->Cell(154, 4, utf8_decode($codigo_11->relacion_transmisor_esp), 0, 0, '', true);
    } else {
        if ($view_relacion11 != null) {
            $pdf->Cell(154, 4, utf8_decode($view_relacion11->nombre), 0, 0, '', true);
        }
    }
    $pdf->Ln(10);
    $pdf->SetX(13);
    if ($codigo_11->transmisor == 'PERSONA FÍSICA') {
        $pdf->Cell(139, 4, utf8_decode($codigo_11->nombre_transmisor), 0, 0, '', true);
        $pdf->Cell(51, 4, utf8_decode($codigo_11->rfc_transmisor), 0, 0, '', true);
    }else{
        $pdf->Cell(139, 4, utf8_decode($codigo_11->nombre_transmisor));
        $pdf->Cell(51, 4, utf8_decode($codigo_11->rfc_transmisor));
    }


    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(62, 4, utf8_decode($codigo_11->valor_adquisicion));
    $pdf->Cell(61, 4, utf8_decode($codigo_11->tipo_moneda));
    $pdf->Cell(61, 4, utf8_decode($codigo_11->fecha_adquisicion));
    $pdf->Ln(5);
    $pdf->SetX(90);
    if ($codigo_11->motivo_baja == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(92, 4, utf8_decode($codigo_11->motivo_baja_esp));
    } else {
        $pdf->Cell(92, 4, utf8_decode($codigo_11->motivo_baja));
    }
    $pdf->SetY(137);
    $pdf->SetX(13);
    $pdf->MultiCell(190, 3.5, utf8_decode($codigo_11->aclaraciones), 0, '', true);



    //-----------------------------------------------------------------------------------------------------------
        } else {
            $pdf->SetX(48);
            if ($codigo_11->tipo_bien == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(155, 4, utf8_decode($codigo_11->tipo_bien_esp), 0, 0, '', true);
            } else {
                $pdf->Cell(155, 4, utf8_decode($codigo_11->tipo_bien), 0, 0, '', true);
            }
            $pdf->Ln(4.5);
            $pdf->SetX(51);
            $pdf->Cell(151, 4, utf8_decode($view_declarante11->nombre), 0, 0, '', true);




            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(38, 4, utf8_decode($codigo_11->tercero), 0, 0, '', true);
                $pdf->Cell(101, 4, utf8_decode($codigo_11->nombre_tercero), 0, 0, '', true);
                $pdf->Cell(51, 4, utf8_decode($codigo_11->rfc_tercero), 0, 0, '', true);


            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(115, 4, utf8_decode($codigo_11->descripcion_bien), 0, 0, '', true);
            $pdf->Cell(40, 4, utf8_decode($codigo_11->forma_adquisicion), 0, 0, '', true);
            $pdf->Cell(35, 4, utf8_decode($codigo_11->forma_pago), 0, 0, '', true);
            $pdf->Ln(9.5);
            $pdf->SetX(13);
            $pdf->Cell(38, 4, utf8_decode($codigo_11->transmisor), 0, 0, '', true);
            if ($codigo_11->relacion_transmisor == '20') {
                $pdf->Cell(152, 4, utf8_decode($codigo_11->relacion_transmisor_esp), 0, 0, '', true);
            } else {
                if ($view_relacion11 != null) {
                    $pdf->Cell(152, 4, utf8_decode($view_relacion11->nombre), 0, 0, '', true);
                }
            }
            $pdf->Ln(10);
            $pdf->SetX(13);
                $pdf->Cell(139, 4, utf8_decode($codigo_11->nombre_transmisor), 0, 0, '', true);
                $pdf->Cell(51, 4, utf8_decode($codigo_11->rfc_transmisor), 0, 0, '', true);
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(62, 4, utf8_decode($codigo_11->valor_adquisicion), 0, 0, '', true);
            $pdf->Cell(61, 4, utf8_decode($codigo_11->tipo_moneda), 0, 0, '', true);
            $pdf->Cell(67, 4, utf8_decode($codigo_11->fecha_adquisicion), 0, 0, '', true);
            $pdf->Ln(5);
            $pdf->SetX(90);
            if ($codigo_11->motivo_baja == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(113, 4, utf8_decode($codigo_11->motivo_baja_esp), 0, 0, '', true);
            } else {
                $pdf->Cell(113, 4, utf8_decode($codigo_11->motivo_baja), 0, 0, '', true);
            }
            $pdf->SetY(137);
            $pdf->SetX(13);
            $pdf->MultiCell(190, 3.5, utf8_decode($codigo_11->aclaraciones), 0, '', true);

        }
    }




    //-----ADICIONALES--------------------------------------------------------------------------------------------------------------------
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $y = 1;

    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('11_bienes_muebles_add', $where, 1);
    $codigo_10_add = $query7->row();
    $pdf->SetTextColor(0, 0, 0);

    $CI->db->select('*')->from('11_bienes_muebles_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;

    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            $id =  $consulta[$x]['idmueble'],
            'idmueble' => $consulta[$x]['idmueble'],
            'tipo_bien' => $consulta[$x]['tipo_bien'],
            'tipo_bien_esp' => $consulta[$x]['tipo_bien_esp'],
            'titular_bien' => $consulta[$x]['titular_bien'],
            'tercero' => $consulta[$x]['tercero'],
            'nombre_tercero' => $consulta[$x]['nombre_tercero'],
            'rfc_tercero' => $consulta[$x]['rfc_tercero'],
            'descripcion_bien' => $consulta[$x]['descripcion_bien'],
            'forma_adquisicion' => $consulta[$x]['forma_adquisicion'],
            'forma_pago' => $consulta[$x]['forma_pago'],
            'transmisor' => $consulta[$x]['transmisor'],
            'nombre_transmisor' => $consulta[$x]['nombre_transmisor'],
            'rfc_transmisor' => $consulta[$x]['rfc_transmisor'],
            'relacion_transmisor' => $consulta[$x]['relacion_transmisor'],
            'relacion_transmisor_esp' => $consulta[$x]['relacion_transmisor_esp'],
            'valor_adquisicion' => $consulta[$x]['valor_adquisicion'],
            'tipo_moneda' => $consulta[$x]['tipo_moneda'],
            'fecha_adquisicion' => $consulta[$x]['fecha_adquisicion'],
            'motivo_baja' => $consulta[$x]['motivo_baja'],
            'motivo_baja_esp' => $consulta[$x]['motivo_baja_esp'],
            'ninguno' => $consulta[$x]['ninguno'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],

        );


        $where = array('idformato' => $idformato, 'idmueble' => $id);
        $CI->db->select('tipos_declarante.nombre as nombre');
        $CI->db->from('11_bienes_muebles_add');
        $CI->db->join('tipos_declarante', '11_bienes_muebles_add.titular_bien=tipos_declarante.idtipo');
        $CI->db->where($where);;
        $query = $CI->db->get();
        $view_declarante11 = $query->row();

        //View tipos Relacion  11.
        $where = array('idformato' => $idformato, 'idmueble' => $id);
        $CI->db->select('tipos_relacion.nombre as nombre');
        $CI->db->from('11_bienes_muebles_add');
        $CI->db->join('tipos_relacion', '11_bienes_muebles_add.relacion_transmisor=tipos_relacion.idtipo_relacion');
        $CI->db->where($where);;
        $query = $CI->db->get();
        $view_relacion11 = $query->row();
        $y++;
        if ($codigo_10_add->idformato == $idformato) {
            $pdf->setSourceFile('plantillas/BienesMuebles_11_In.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(25);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # ' . $y), 0, 0, true);
            $pdf->SetY(26);
            $pdf->SetX(13);
            $pdf->MultiCell(151, 5, ' ', 0, 0, true);


            $pdf->SetFont('Arial', '', 8);
            $pdf->SetTextColor(0, 0, 0);
            $pdf->SetFillColor(0, 0, 0);

            if ($datos["ninguno"] == '1') {
                $logo = SERVIDOR . APP . 'application/images/check2.png';
                $pdf->Image($logo, 191.1, 64.5, 4, 4);
            }
            $pdf->SetY(66);
            $pdf->SetX(51);
            
if ($view_declarante11 != null) {
if ($view_declarante11->nombre == 'DECLARANTE') {


             if ($datos["tipo_bien"] == 'OTRO / ESPECIFIQUE') {
                 $pdf->Cell(92, 4, utf8_decode($datos["tipo_bien_esp"]));
             } else {
                 $pdf->Cell(92, 4, utf8_decode($datos["tipo_bien"]));
             }
             $pdf->Ln(4.5);
             $pdf->SetX(51);
             $pdf->Cell(120, 4, utf8_decode($view_declarante11->nombre));


            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(38, 4, utf8_decode($datos["tercero"]));

            if ($datos["tercero"] == 'PERSONA FÍSICA') {
                $pdf->Cell(101, 4, utf8_decode($datos["nombre_tercero"]), 0, 0, '', true);
                $pdf->Cell(51, 4, utf8_decode($datos["rfc_tercero"]), 0, 0, '', true);
            }else{
                $pdf->Cell(101, 4, utf8_decode($datos["nombre_tercero"]));
                $pdf->Cell(45, 4, utf8_decode($datos["rfc_tercero"]));
            }

            
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(115, 4, utf8_decode($datos["descripcion_bien"]));
            $pdf->Cell(40, 4, utf8_decode($datos["forma_adquisicion"]));
            $pdf->Cell(29, 4, utf8_decode($datos["forma_pago"]));
            $pdf->Ln(9.5);
            $pdf->SetX(13);
            $pdf->Cell(38, 4, utf8_decode($datos["transmisor"]));
            if ($datos["relacion_transmisor"] == '20') {
                $pdf->Cell(146, 4, utf8_decode($datos["relacion_transmisor_esp"]));
            } else {
                if ($view_relacion11 != null) {
                    $pdf->Cell(150, 4, utf8_decode($view_relacion11->nombre), 0, 0, '', true);
                }
            }
            $pdf->Ln(10);
            $pdf->SetX(13);

            if ($datos["transmisor"] == 'PERSONA FÍSICA') {
                $pdf->Cell(139, 4, utf8_decode($datos["nombre_transmisor"]), 0, 0, '', true);
                $pdf->Cell(45, 4, utf8_decode($datos["rfc_transmisor"]), 0, 0, '', true);
            }else{
                $pdf->Cell(139, 4, utf8_decode($datos["nombre_transmisor"]));
                $pdf->Cell(45, 4, utf8_decode($datos["rfc_transmisor"]));
            }
        
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(62, 4, utf8_decode($datos["valor_adquisicion"]));
            $pdf->Cell(61, 4, utf8_decode($datos["tipo_moneda"]));
            $pdf->Cell(61, 4, utf8_decode($datos["fecha_adquisicion"]));
            $pdf->Ln(5);
            $pdf->SetX(90);
            if ($datos["motivo_baja"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(92, 4, utf8_decode($datos["motivo_baja_esp"]));
            } else {
                $pdf->Cell(92, 4, utf8_decode($datos["motivo_baja"]));
            }
            $pdf->SetY(137);
            $pdf->SetX(13);
            $pdf->MultiCell(190, 3.5, utf8_decode($datos["aclaraciones"]), 0, '', true);

            //---declarante
        } else {

                    $pdf->SetX(48);
                    if ($datos["tipo_bien"] == 'OTRO / ESPECIFIQUE') {
                       
                        $pdf->Cell(155, 4, utf8_decode($datos["tipo_bien_esp"]), 0, 0, '', true);
                    } else {
                        $pdf->Cell(155, 4, utf8_decode($datos["tipo_bien"]), 0, 0, '', true);
                    }
                    $pdf->Ln(4.5);
                    $pdf->SetX(51);
                    $pdf->Cell(151, 4, utf8_decode($view_declarante11->nombre), 0, 0, '', true);

                    $pdf->Ln(10);
                    $pdf->SetX(13);
                    $pdf->Cell(38, 4, utf8_decode($datos["tercero"]), 0, 0, '', true);
                    $pdf->Cell(101, 4, utf8_decode($datos["nombre_tercero"]), 0, 0, '', true);
                    $pdf->Cell(51, 4, utf8_decode($datos["rfc_tercero"]), 0, 0, '', true);
                    $pdf->Ln(11);
                    $pdf->SetX(13);
                    $pdf->Cell(115, 4, utf8_decode($datos["descripcion_bien"]), 0, 0, '', true);
                    $pdf->Cell(40, 4, utf8_decode($datos["forma_adquisicion"]), 0, 0, '', true);
                    $pdf->Cell(35, 4, utf8_decode($datos["forma_pago"]), 0, 0, '', true);
                    $pdf->Ln(9.5);
                    $pdf->SetX(13);
                    $pdf->Cell(38, 4, utf8_decode($datos["transmisor"]), 0, 0, '', true);
                    if ($datos["relacion_transmisor"] == '20') {
                        $pdf->Cell(152, 4, utf8_decode($datos["relacion_transmisor_esp"]), 0, 0, '', true);
                    } else {
                        if ($view_relacion11 != null) {
                            $pdf->Cell(152, 4, utf8_decode($view_relacion11->nombre), 0, 0, '', true);
                        }
                    }
                    $pdf->Ln(10);
                    $pdf->SetX(13);
                    $pdf->Cell(139, 4, utf8_decode($datos["nombre_transmisor"]), 0, 0, '', true);
                    $pdf->Cell(51, 4, utf8_decode($datos["rfc_transmisor"]), 0, 0, '', true);
                    $pdf->Ln(10);
                    $pdf->SetX(13);
                    $pdf->Cell(62, 4, utf8_decode($datos["valor_adquisicion"]), 0, 0, '', true);
                    $pdf->Cell(61, 4, utf8_decode($datos["tipo_moneda"]), 0, 0, '', true);
                    $pdf->Cell(67, 4, utf8_decode($datos["fecha_adquisicion"]), 0, 0, '', true);
                    $pdf->Ln(5);
                    $pdf->SetX(90);
                    if ($datos["motivo_baja"] == 'OTRO / ESPECIFIQUE') {
                        $pdf->Cell(113, 4, utf8_decode($datos["motivo_baja_esp"]), 0, 0, '', true);
                    } else {
                        $pdf->Cell(113, 4, utf8_decode($datos["motivo_baja"]), 0, 0, '', true);
                    }
                    $pdf->SetY(137);
                    $pdf->SetX(13);
                    $pdf->MultiCell(190, 3.5, utf8_decode($datos["aclaraciones"]), 0, '', true);


        }
    }
///--
        }
    }

}

